%global srcname sphinx-sitemap

Name:           python-%{srcname}
Version:        2.2.0
Release:        1%{?dist}
Summary:        Sitemap generator for Sphinx

License:        MIT
URL:            https://github.com/jdillard/sphinx-sitemap
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist pip}
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist six}
BuildRequires:  %{py3_dist sphinx}
BuildRequires:  %{py3_dist wheel}

%global _description %{expand:
This package contains a Sphinx extension to generate multiversion and
multilanguage sitemaps.org-compliant sitemaps for the HTML version of
your Sphinx documentation.}

%description %_description

%package     -n python3-%{srcname}
Summary:        Sitemap generator for Sphinx

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}

%build
%pyproject_wheel
rst2html --no-datestamp README.rst README.html

%install
%pyproject_install
%pyproject_save_files sphinx_sitemap

%check
%py3_check_import sphinx_sitemap

%files -n python3-%{srcname} -f %{pyproject_files}
%doc CHANGELOG.md README.html
%license LICENSE

%changelog
* Sat Oct  2 2021 Jerry James <loganjerry@gmail.com> - 2.2.0-1
- Initial RPM
